## org.eclipse.emf.cdo.defs
Interface FailOverStrategyDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  RetryFailOverStrategyDef

All Known Implementing Classes:
  FailOverStrategyDefImpl, RetryFailOverStrategyDefImpl

    public interface FailOverStrategyDef

extends org.eclipse.net4j.util.defs.Def

A representation of the model object 'Fail Over Strategy Def'.

The following features are supported:

- `Connector Def`

See Also:
  `CDODefsPackage.getFailOverStrategyDef()`

Method Summary
`org.eclipse.net4j.defs.ConnectorDef` `getConnectorDef()` Returns the value of the 'Connector Def' reference.
`void` `setConnectorDef(org.eclipse.net4j.defs.ConnectorDef value)` Sets the value of the '`Connector Def`' reference.

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getConnectorDef

    org.eclipse.net4j.defs.ConnectorDef getConnectorDef()

  Returns the value of the 'Connector Def' reference.

  If the meaning of the 'Connector Def' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Connector Def' reference.
  See Also:
    `setConnectorDef(ConnectorDef)`, `CDODefsPackage.getFailOverStrategyDef_ConnectorDef()`

### setConnectorDef

    void setConnectorDef(org.eclipse.net4j.defs.ConnectorDef value)

  Sets the value of the '`Connector Def`' reference.

  Parameters:
    `value` - the new value of the 'Connector Def' reference.
  See Also:
    `getConnectorDef()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.